Package org.apache.solr.cluster.api

## Interface SimpleMap<T>

All Superinterfaces:
  `org.noggit.JSONWriter.Writable`, `MapSerializable`, `MapWriter`, `NavigableObject`

All Known Implementing Classes:
  `CloudSolrClient.RouteResponse`, `NamedList`, `SimpleOrderedMap`, `WrappedSimpleMap`

    @Deprecated
    public interface SimpleMap<T>
    extends MapWriter

Deprecated.
A simplified read-only key-value structure. It is designed to support large datasets without consuming a lot of memory The objective is to provide implementations that are cheap and memory efficient to implement and consume. The keys are always `CharSequence` objects, The values can be of any type

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
`default void` `abortableForEach​(BiFunction<String,​? super T,​Boolean> fun)` Deprecated.
`default void` `abortableForEachKey​(Function<String,​Boolean> fun)` Deprecated.
`default Map<String,​T>` `asMap()` Deprecated.
`default Map<String,​T>` `asMap​(Map<String,​T> sink)` Deprecated.
`void` `forEachEntry​(BiConsumer<String,​? super T> fun)` Deprecated.
`default void` `forEachKey​(Consumer<String> fun)` Deprecated.
`T` `get​(String key)` Deprecated. get a value by key.
`default T` `get​(String key, T def)` Deprecated.
`int` `size()` Deprecated.
`default void` `writeMap​(MapWriter.EntryWriter ew)` Deprecated.

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _get, _getStr, _getStr, _getStr, _size`

### Method Detail

#### get

    T get​(String key)

Deprecated.
get a value by key. If not present , null is returned

#### get

    @Deprecated
    default T get​(String key,
                  T def)

Deprecated.

#### forEachEntry

    @Deprecated
    void forEachEntry​(BiConsumer<String,​? super T> fun)

Deprecated.
Navigate through all keys and values

#### forEachKey

    @Deprecated
    default void forEachKey​(Consumer<String> fun)

Deprecated.
iterate through all keys The default impl is suboptimal. Proper implementations must do it more efficiently

#### size

    int size()

Deprecated.

#### abortableForEachKey

    @Deprecated
    default void abortableForEachKey​(Function<String,​Boolean> fun)

Deprecated.
iterate through all keys but abort in between if required The default impl is suboptimal. Proper implementations must do it more efficiently

Parameters:
  `fun` - Consume each key and return a boolean to signal whether to proceed or not. If true, continue. If false stop

#### abortableForEach

    @Deprecated
    default void abortableForEach​(BiFunction<String,​? super T,​Boolean> fun)

Deprecated.
Navigate through all key-values but abort in between if required. The default impl is suboptimal. Proper implementations must do it more efficiently

Parameters:
  `fun` - Consume each entry and return a boolean to signal whether to proceed or not. If true, continue, if false stop

#### writeMap

    default void writeMap​(MapWriter.EntryWriter ew)
                   throws IOException

Deprecated.

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### asMap

    @Deprecated
    default Map<String,​T> asMap​(Map<String,​T> sink)

Deprecated.

#### asMap

    @Deprecated
    default Map<String,​T> asMap()

Deprecated.